JB and itunes 8.2? and final word on 3.0?

Discussion in 'Jailbreaks and iOS Hacks' started by killerpenguin21, Jul 3, 2009.

  1. killerpenguin21 macrumors newbie

    Joined:
    Jul 3, 2009
    #1
    so in a software update on my mac about two weeks ago i didnt see it had itunes listed and wound up with 8.2. Then a few days ago i decided to upgrade my phone to 2.2.1 due to some issues. itunes 8.2 will not load any custom firmwares, i get an error 21 i believe. i can load stock firmwares just fine, but no 2.2.1 customs or my old 2.0 customs.

    i also tried this on a windows machine with an old version of itunes and it failed miserably...now im stuck with an un jailbroken 2.2.1 and it stinks frankly.

    is there anything i can do?

    i was thinking of just moving up to 3.0 and JB, but i keep seeing bad things about that with lag and cydia not working etc...

    is it safe to go up to 3.0 and jailbroke?

    i shoulda just stuck with 2.0:(
     
  2. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #2
    Do a 3.0 jailbreak. I haven't had any problems with it. I don't use winterboard though.
     
  3. Agent 21 macrumors regular

    Joined:
    Jun 27, 2009
    #3
    Plus the Dev Team JB should be out soon so even if you don't care for the GeoHot one there's always the Dev Team's to look forward too.

    Can't you just find an older version of iTunes and install that? I don't use iTunes unless I HAVE to (which is only for loading music onto my iPhone/iPod, and since I put my entire library on I have used iTunes all of about 3 times in as many years lol.), but I'd assume it should be like any other program where you can find older versions to install. I have a few programs that are older versions because I like them much better.
     
  4. killerpenguin21 thread starter macrumors newbie

    Joined:
    Jul 3, 2009
    #4
    yeah i attempted to revert to an older itunes, but i still got the same error. theres a whole process to remove itunes via terminal which i did, but still no luck. i found a few references to 8.2 not allowing you to upload custom firmware via new security stuff but i could never find anything concrete, so i guess i screwed up.

    i really should have just left my 2.0 alone.

    i thought the dev team put out pwnage tool 3.0 and redsnow for 3.0 already?
     
  5. mstier09 macrumors regular

    Joined:
    Jun 22, 2009
    #5
    They did. Assuming you have a 3G or earlier model, which you probably are with the older firmwares.
     
  6. killerpenguin21 thread starter macrumors newbie

    Joined:
    Jul 3, 2009
    #6
    but its not making changes to the phone right? just scanning the ipsw?

    so i still cant figure out why the hell when i put in an older itunes it still wouldnt work.
     
  7. Macgic macrumors 6502

    Joined:
    Oct 23, 2007
    #7
    The problems ppl are having is with a 3Gs, because the dev team hasn't released their "official JB". However seeing that you had 2.0 just upgrade to 3.0 and JB using either red snow or pwnage. It works great for me. I haven't had a single problem with slowness or apps crashing. (I have a 3g on 3.0) Ya it's the same process as before with the ipsw.
     
  8. killerpenguin21 thread starter macrumors newbie

    Joined:
    Jul 3, 2009
    #8
    are you positive?

    i thought all the stuff i was reading about the processor lagging on 3.0 was on a 2g phone...
     
  9. killerpenguin21 thread starter macrumors newbie

    Joined:
    Jul 3, 2009
    #9
    well i think im a complete moron.

    i decided to play with my ipod since i didnt want to mess up my iphone. I updated it from like 1.1.5 to 2.2.1, then used pwnage tool 2.2.5 to create the custom firmware, this time selecting "no" when asked if it had ever been jailbroken before, since in fact it hadnt, and low and behold itunes 8.2 uploaded my custom firmware with no issues what so ever.

    i thought itunes 8.2 had all the new checks to not allow this? or is there a difference between the ipod and iphone in this situation?

    with my phone, i was selecting "yes" it had been jailbroken before, but i think i may have erased it totally when i did the fresh restore to 2.2.1.

    stupid me.
     
  10. killerpenguin21 thread starter macrumors newbie

    Joined:
    Jul 3, 2009
  11. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #11
    Which question are you looking for an answer to ??

    #1) what response are you looking for ??
    #2) don't see a question there
    #3) you yourself posted the answer to this, you can select custom firmware, I don't know of a difference with iPod, iPhone
    #4) don't see a question there
    #5) see #1

    Sorry, but you seem to believe that someone should have responded to your thread, but it looks to me as you already answered your question.
     
  12. killerpenguin21 thread starter macrumors newbie

    Joined:
    Jul 3, 2009
    #12
    sorry i wasnt clear.

    the question was, there was all the news release about how itunes 8.2 was going to not allow jailbreaking, but i was not able to find anything from the dev team stating that pwnage tool had a built in fix (using 2.5 i believe to break 2.2.1).

    my question at this point was a) are all those reports about 8.2 debunked now? b)would the supposed new security in itunes allow an ipod to be JB'd and not an iphone.
     
  13. killerpenguin21 thread starter macrumors newbie

    Joined:
    Jul 3, 2009
    #13
    well for anyone who winds up searching for this subject.

    itunes 8.2 jailbroke both my itouch 1g and my 1g iphone with no issue.

    guess everything i was reading was old news...
     

Share This Page